
.ribbon-wrapper-red {
    width: 100px;
    height: 100px;
    overflow: hidden;
    position: absolute;
    top: -6px;
    left: -6px;
}
.ribbon-red {
    font-size: 13px;
    color: white;
    text-align: center;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    position: relative;
    padding: 2px 0;
    left: -21px;
    top: 8px;
    width: 82px;
    background-color: #BFDC7A;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#990000), to(#cc0000));
    background-image: -webkit-linear-gradient(top, #990000, #cc0000);
    background-image: -moz-linear-gradient(top, #990000, #cc0000);
    background-image: -ms-linear-gradient(top, #990000, #cc0000);
    background-image: -o-linear-gradient(top, #990000, #cc0000);
    -webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
}
.ribbon-red:before, .ribbon-red:after {
    content: "";
    border-top: 3px solid #900;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    position: absolute;
    bottom: -3px;
}
.ribbon-red:before {
    left: 0;
}
.ribbon-red:after {
    right: 0;
}



.ribbon-wrapper-yellow {
    width: 100px;
    height: 100px;
    overflow: hidden;
    position: absolute;
    top: -6px;
    left: -6px;
}
.ribbon-yellow {
    font-size: 13px;
    color: white;
    text-align: center;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    position: relative;
    padding: 2px 0;
    left: -21px;
    top: 8px;
    width: 82px;
    background-color: #BFDC7A;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#FFB900), to(yellow));
    background-image: -webkit-linear-gradient(top, #FFB900, yellow);
    background-image: -moz-linear-gradient(top, #FFB900, yellow);
    background-image: -ms-linear-gradient(top, #FFB900, yellow);
    background-image: -o-linear-gradient(top, #FFB900, yellow);
    -webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
}
.ribbon-yellow:before, .ribbon-yellow:after {
    content: "";
    border-top: 3px solid #900;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    position: absolute;
    bottom: -3px;
}
.ribbon-yellow:before {
    left: 0;
}
.ribbon-yellow:after {
    right: 0;
}





.ribbon-wrapper-green {
    width: 100px;
    height: 100px;
    overflow: hidden;
    position: absolute;
    top: -6px;
    left: -6px;
}
.ribbon-green {
    font-size: 13px;
    color: white;
    text-align: center;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    position: relative;
    padding: 2px 0;
    left: -21px;
    top: 8px;
    width: 82px;
    background-color: #BFDC7A;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#94C34A), to(#green));
    background-image: -webkit-linear-gradient(top, #94C34A, #green);
    background-image: -moz-linear-gradient(top, #94C34A, #green);
    background-image: -ms-linear-gradient(top, #94C34A, #green);
    background-image: -o-linear-gradient(top, #94C34A, #green);
    -webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
}
.ribbon-green:before, .ribbon-green:after {
    content: "";
    border-top: 3px solid #900;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    position: absolute;
    bottom: -3px;
}
.ribbon-green:before {
    left: 0;
}
.ribbon-green:after {
    right: 0;
}
